customer_portal
List Wallets
List wallets of the authenticated customer.
GET
/
v1
/
customer-portal
/
wallets
/
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
for item in ourpay.customer_portal.wallets.iter_list(
page=1,
limit=10,
sorting=['-created_at'],
):
print(item)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
for await (const item of ourpay.customerPortal.wallets.iterList(
{
"page": 1,
"limit": 10,
"sorting": [
"-created_at"
]
},
)) {
console.log(item);
}
curl --request GET \
--url https://api.ourpay.dev/v1/customer-portal/wallets/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ourpay.dev/v1/customer-portal/wallets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"customer_id": "992fae2a-2a17-4b7a-8d9e-e287cf90131b",
"balance": 5000,
"currency": "usd"
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
customer_sessionmember_session
Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.
Query Parameters
Page number, defaults to 1.
Size of a page, defaults to 10. Maximum is 100.
Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.
Available options:
created_at, -created_at, balance, -balance ⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
for item in ourpay.customer_portal.wallets.iter_list(
page=1,
limit=10,
sorting=['-created_at'],
):
print(item)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
for await (const item of ourpay.customerPortal.wallets.iterList(
{
"page": 1,
"limit": 10,
"sorting": [
"-created_at"
]
},
)) {
console.log(item);
}
